aboutsummaryrefslogtreecommitdiff
path: root/debian/cabal-wrapper
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cabal-wrapper')
-rwxr-xr-xdebian/cabal-wrapper16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/cabal-wrapper b/debian/cabal-wrapper
new file mode 100755
index 000000000..e0623f79f
--- /dev/null
+++ b/debian/cabal-wrapper
@@ -0,0 +1,16 @@
+#!/bin/sh
+# It would be more usual to use:
+# export CABAL=./Setup
+# But Setup currently has a very bad dependency resolver, and very bad
+# debugging output, and tends to eat all memory and die on small buildds.
+#
+# This should be revisited once Debian has a newer ghc than 7.6.3,
+# and hopefully gets the improved dependency resolver from cabal.
+set -e
+
+# Avoid cabal writing to HOME, and avoid local cabal settings
+# influencing the build.
+HOME=$(mktemp -d)
+export HOME
+
+cabal "$@"